org.eclipse.jetty.server

## Class AsyncContinuation.AsyncTimeout

- java.lang.Object
- - org.eclipse.jetty.util.thread.Timeout.Task
  - - org.eclipse.jetty.server.AsyncContinuation.AsyncTimeout

All Implemented Interfaces:
  Runnable

Enclosing class:
  AsyncContinuation

    public class AsyncContinuation.AsyncTimeout
    extends Timeout.Task
    implements Runnable

### Constructor Summary

Constructors
Constructor and Description
`AsyncContinuation.AsyncTimeout()`

### Method Summary

Methods
`void` `expired()` Expire task.
`void` `run()`

### Methods inherited from class org.eclipse.jetty.util.thread.Timeout.Task

`cancel, expire, getAge, getTimestamp, isExpired, isScheduled, reschedule, schedule, schedule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncContinuation.AsyncTimeout

    public AsyncContinuation.AsyncTimeout()

### Method Detail

#### expired

    public void expired()

Description copied from class: `Timeout.Task`
Expire task. This method is called when the timeout expires. It is called outside of any synchronization scope and may be delayed.

Overrides:
  `expired` in class `Timeout.Task`

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`